import { ref, onMounted } from 'vue'

export const useFont = () => {
  const font = ref('JetBrains Mono')

  onMounted(() => {
    const storedFont = localStorage.getItem('font')
    if (storedFont) {
      font.value = storedFont
      document.body.style.fontFamily = storedFont
    }
  })

  const setFont = (newFont: string) => {
    font.value = newFont
    document.body.style.fontFamily = newFont
    localStorage.setItem('font', newFont)
  }

  return {
    font,
    setFont,
  }
}
